Bug 76357 - redhat-config-mouse impossible to manipulate if your mouse is not already working
Summary: redhat-config-mouse impossible to manipulate if your mouse is not already wor...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-mouse   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-20 19:47 UTC by Dale Lovelace
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-21 15:52:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dale Lovelace 2002-10-20 19:47:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When you run redhat-config-mouse you are presented with a list of heading such 
as "Microsoft", "Generic", etc. When you click on these headings with a mouse 
they drop down to a list of mice to choose from. If your mouse is not already 
working, there is no way I can find to make those headings drop down to see 
and/or pick one of the mice. This makes redhat-config-mouse useless unless 
your mouse is already working...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start X without a non-functional mouse attached to the system.
2. Alt-F2 to bring up run box
3. Type "gnome-terminal" in the run box
4. In the newly created terminal type "redhat-config-mouse"
5. While away the hours trying to choose a mouse.
	

Additional info:

Comment 1 Brent Fox 2002-10-21 15:52:52 UTC
The gtk keybinding for GtkTreeView use "+" to expand a branch and "-" to
collapse a branch.  Does that help make redhat-config-mouse keyboard navigable?

Comment 2 Brent Fox 2002-10-25 18:33:29 UTC
Please reopen if using "+" and "-" to navigate the tree doesn't work.


Note You need to log in before you can comment on or make changes to this bug.